FindBindingForAppEntitlement
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.RequestSchema.FindBindingForAppEntitlement(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.RequestSchemaServiceFindBindingForAppEntitlementResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.requestSchema.findBindingForAppEntitlement();
console.log(result);
}
run();curl --request PUT \
--url https://{tenantDomain}.conductor.one/api/v1/request_schema_entitlement_binding \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entitlementRef": {
"appId": "<string>",
"id": "<string>"
}
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/request_schema_entitlement_binding"
payload = { "entitlementRef": {
"appId": "<string>",
"id": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({entitlementRef: {appId: '<string>', id: '<string>'}})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/request_schema_entitlement_binding', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entitlementRef": {
"appId": "<string>",
"id": "<string>"
},
"requestSchemaId": "<string>"
}Request Schema Entitlement Binding
Find Binding For App Entitlement
Invokes the c1.api.request_schema.v1.RequestSchemaService.FindBindingForAppEntitlement method.
PUT
/
api
/
v1
/
request_schema_entitlement_binding
FindBindingForAppEntitlement
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.RequestSchema.FindBindingForAppEntitlement(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.RequestSchemaServiceFindBindingForAppEntitlementResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.requestSchema.findBindingForAppEntitlement();
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
application/json
The RequestSchemaServiceFindBindingForAppEntitlementRequest message.
The AppEntitlementRef message.
Show child attributes
Show child attributes
Was this page helpful?
⌘I